Open CASCADE Technology  7.5.0.beta
Public Member Functions
BRepMAT2d_LinkTopoBilo Class Reference

Constucts links between the Wire or the Face of the explorer and the BasicElts contained in the bisecting locus. More...

#include <BRepMAT2d_LinkTopoBilo.hxx>

Public Member Functions

 BRepMAT2d_LinkTopoBilo ()
 
 BRepMAT2d_LinkTopoBilo (const BRepMAT2d_Explorer &Explo, const BRepMAT2d_BisectingLocus &BiLo)
 Constructs the links Between S and BiLo. More...
 
void Perform (const BRepMAT2d_Explorer &Explo, const BRepMAT2d_BisectingLocus &BiLo)
 Constructs the links Between S and BiLo. More...
 
void Init (const TopoDS_Shape &S)
 Initialise the Iterator on <S> <S> is an edge or a vertex of the initial wire or face. raises if <S> is not an edge or a vertex. More...
 
Standard_Boolean More ()
 Returns True if there is a current BasicElt. More...
 
void Next ()
 Proceed to the next BasicElt. More...
 
Handle< MAT_BasicEltValue () const
 Returns the current BasicElt. More...
 
TopoDS_Shape GeneratingShape (const Handle< MAT_BasicElt > &aBE) const
 Returns the Shape linked to <aBE>. More...
 

Detailed Description

Constucts links between the Wire or the Face of the explorer and the BasicElts contained in the bisecting locus.

Constructor & Destructor Documentation

◆ BRepMAT2d_LinkTopoBilo() [1/2]

BRepMAT2d_LinkTopoBilo::BRepMAT2d_LinkTopoBilo ( )

◆ BRepMAT2d_LinkTopoBilo() [2/2]

BRepMAT2d_LinkTopoBilo::BRepMAT2d_LinkTopoBilo ( const BRepMAT2d_Explorer Explo,
const BRepMAT2d_BisectingLocus BiLo 
)

Constructs the links Between S and BiLo.

raises if <S> is not a face.

Member Function Documentation

◆ GeneratingShape()

TopoDS_Shape BRepMAT2d_LinkTopoBilo::GeneratingShape ( const Handle< MAT_BasicElt > &  aBE) const

Returns the Shape linked to <aBE>.

◆ Init()

void BRepMAT2d_LinkTopoBilo::Init ( const TopoDS_Shape S)

Initialise the Iterator on <S> <S> is an edge or a vertex of the initial wire or face. raises if <S> is not an edge or a vertex.

◆ More()

Standard_Boolean BRepMAT2d_LinkTopoBilo::More ( )

Returns True if there is a current BasicElt.

◆ Next()

void BRepMAT2d_LinkTopoBilo::Next ( )

Proceed to the next BasicElt.

◆ Perform()

void BRepMAT2d_LinkTopoBilo::Perform ( const BRepMAT2d_Explorer Explo,
const BRepMAT2d_BisectingLocus BiLo 
)

Constructs the links Between S and BiLo.

raises if <S> is not a face or a wire.

◆ Value()

Handle< MAT_BasicElt > BRepMAT2d_LinkTopoBilo::Value ( ) const

Returns the current BasicElt.


The documentation for this class was generated from the following file: